--- title: "Disable server log collection" slug: "analytics-cloudloganalytics-getlogstatus-classic-server" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/analytics-cloudloganalytics-getlogstatus-classic-server" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Disable server log collection Available in Classic Disable log collection for a server in the Classic environment. After you have finished disabling log collection, you must delete the log collection agent from the server. Caution If you don't delete the log collection agent, the data will not be stored in Cloud Log Analytics, but it will continue to be sent, resulting in unnecessary internal data traffic, so it is essential to delete it. See [Delete server log collection agent](/docs/en/analytics-cloudloganalytics-getlogstatus-agent) for how to delete the log collection agent. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /api/{regionCode}-v1/classic/servers/collecting-infos/{instanceNo} | ### Request headers For information about the headers common to all Cloud Log Analytics APIs, see [Cloud Log Analytics request headers](/docs/en/analytics-cloudloganalytics#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Required | Region code - `kr` \| `sgn` \| `jpn` \| `uswn` \| `den` - `kr`: Korea Region - `sgn`: Singapore Region - `jpn`: Japan Region - `uswn`: US West Region - `den`: Germany Region | | `instanceNo` | Integer | Required | Log collection disable target server instance number - See `instanceNo` of [Get server list](/docs/en/analytics-cloudloganalytics-getserverlist-classic-server), [Get Bare Metal Server list](/docs/en/analytics-cloudloganalytics-getserverlist-classic-baremetal). | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://cloudloganalytics.apigw.ntruss.com/api/{regionCode}-v1/classic/servers/collecting-infos/{instanceNo}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response status codes | | `message` | String | - | Response status message | | `result` | Object | - | Response result | | `result.configKey` | String | - | Log collection agent install key | | `result.usage` | String | - | Log collection agent deletion command | ### Response status codes For information about the HTTP status codes common to all Cloud Log Analytics APIs, see [Cloud Log Analytics response status codes](/docs/en/analytics-cloudloganalytics#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "The request has been successfully processed.", "result": { "configKey": "", "usage": "curl -s http://cm.cla.ncloud.com/removeCla | sudo sh" } } ```